package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftQueryitemsRequest) SetParam(v domain.AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery) *AlibabaHmMarketingItembuygiftQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
